Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIFilter

    java.lang.Object
      org.apache.catalina.ssi.SSIFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class SSIFilter
extends java.lang.Object
implements javax.servlet.Filter

Filter to process SSI requests within a webpage. Mapped to a content types from within web.xml.

Version:
  $Revision: 565195 $, $Date: 2007-08-12 17:00:41 -0600 (Sun, 12 Aug 2007) $
Author:
  David Becker
See Also:
  `SSIServlet`

Field Summary
`protected javax.servlet.FilterConfig` | `config`
`protected java.util.regex.Pattern` | `contentTypeRegEx` regex pattern to match when evaluating content types
`protected int` | `debug` Debug level for this servlet.
`protected java.lang.Long` | `expires` Expiration time in seconds for the doc.
`protected boolean` | `isVirtualWebappRelative` virtual path can be webapp-relative
`protected java.util.regex.Pattern` | `shtmlRegEx` default pattern for ssi filter content type matching

Constructor Summary
`SSIFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig config)` Initialize this servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected javax.servlet.FilterConfig config

### debug

    protected int debug

  Debug level for this servlet.

### expires

    protected java.lang.Long expires

  Expiration time in seconds for the doc.

### isVirtualWebappRelative

    protected boolean isVirtualWebappRelative

  virtual path can be webapp-relative

### contentTypeRegEx

    protected java.util.regex.Pattern contentTypeRegEx

  regex pattern to match when evaluating content types

### shtmlRegEx

    protected java.util.regex.Pattern shtmlRegEx

  default pattern for ssi filter content type matching

Constructor Detail

### SSIFilter

    public SSIFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Initialize this servlet.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException` - if an error occurs

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.